# contains

Returns true if the second string is a substring of the first

contains($arg1 as xs:string?, $arg2 as xs:string?) → xs:boolean

Arguments
| $arg1 | xs:string? | The containing string
| $arg2 | xs:string? | The contained string
Result | xs:boolean

contains($arg1 as xs:string?, $arg2 as xs:string?, $collation as xs:string) → xs:boolean

Arguments
| $arg1 | xs:string? | The containing string
| $arg2 | xs:string? | The contained string
| $collation | xs:string | The collation to be used for comparing the strings
Result | xs:boolean

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next